Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/ecryptfs-utils: New aport

From: k0r10n <k0r10n.dev_at_gmail.com>
Date: Thu, 11 Dec 2014 08:59:31 +0400

---
 testing/ecryptfs-utils/APKBUILD          | 56 ++++++++++++++++++++++++++++++++
 testing/ecryptfs-utils/fix-headers.patch | 28 ++++++++++++++++
 2 files changed, 84 insertions(+)
 create mode 100644 testing/ecryptfs-utils/APKBUILD
 create mode 100644 testing/ecryptfs-utils/fix-headers.patch
diff --git a/testing/ecryptfs-utils/APKBUILD b/testing/ecryptfs-utils/APKBUILD
new file mode 100644
index 0000000..6b2c06e
--- /dev/null
+++ b/testing/ecryptfs-utils/APKBUILD
_at_@ -0,0 +1,56 @@
+# Contributor: k0r10n <k0r10n.dev_at_gmail.com>
+# Maintainer:
+pkgname=ecryptfs-utils
+pkgver=104
+pkgrel=0
+pkgdesc="Enterprise-class stacked cryptographic filesystem for Linux"
+url="https://launchpad.net/ecryptfs"
+arch="all"
+license="GPL"
+depends="gettext cryptsetup rsync"
+depends_dev="keyutils-dev linux-pam-dev nss-dev"
+makedepends="$depends_dev swig intltool gettext python"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="http://launchpad.net/ecryptfs/trunk/${pkgver}/+download/${pkgname}_${pkgver}.orig.tar.gz
+	fix-headers.patch
+	"
+
+_builddir="$srcdir"/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" rootsbindir='/usr/bin' install || return 1
+	chmod +s "$pkgdir"/usr/bin/mount.ecryptfs_private || return 1
+	find "$pkgdir"/usr/lib -iname \*.la -exec rm -rf '{}' \; || return 1
+}
+
+md5sums="6ae93822bcf0d15470516c30a3deee32  ecryptfs-utils_104.orig.tar.gz
+faac9e0f204c62eae4737ffbcf3f1186  fix-headers.patch"
+sha256sums="4a200176542d46439c5297021f2c7fd7343b871c20c6f73f6e6c9fc4e5fd7438  ecryptfs-utils_104.orig.tar.gz
+10256aacf77918bd42bf70171bd714f7ab19311ad86ea083db375a3f77df2baa  fix-headers.patch"
+sha512sums="1d093df406c731e6a44bcfc647d5e84a4110fc8d55c8a6aee7e056b0cac8f826b16fbde3dcccd0cf64fcd981a7666b71b1697951ed614ad510c4a6e403f5efd8  ecryptfs-utils_104.orig.tar.gz
+3007e8c845985d07cabbdf2ef7b896f3253fd98f77e0855c2d3087f7224982182b76cb615aeb148e24871268aa061ce5af0310668a516f550a9bd977b88a88f0  fix-headers.patch"
diff --git a/testing/ecryptfs-utils/fix-headers.patch b/testing/ecryptfs-utils/fix-headers.patch
new file mode 100644
index 0000000..eb2ca3e
--- /dev/null
+++ b/testing/ecryptfs-utils/fix-headers.patch
_at_@ -0,0 +1,28 @@
+--- a/src/utils/mount.ecryptfs.c.orig
++++ b/src/utils/mount.ecryptfs.c
+_at_@ -24,7 +24,6 @@
+ #include <errno.h>
+ #include <fcntl.h>
+ #include <getopt.h>
+-#include <keyutils.h>
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <string.h>
+_at_@ -34,6 +33,7 @@
+ #include <sys/stat.h>
+ #include <sys/types.h>
+ #include <sys/wait.h>
++#include <keyutils.h>
+ #include "ecryptfs.h"
+ #include "decision_graph.h"
+ #include "io.h"
+--- a/src/utils/mount.ecryptfs_private.c.orig
++++ b/src/utils/mount.ecryptfs_private.c
+_at_@ -30,6 +30,7 @@
+ #include <sys/param.h>
+ #include <sys/stat.h>
+ #include <sys/types.h>
++#include <fcntl.h>
+ #include <ctype.h>
+ #include <errno.h>
+ #include <keyutils.h>
-- 
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Dec 11 2014 - 08:59:31 GMT